std::shared_timed_mutex::try_lock(3)

NAME
std::shared_timed_mutex::try_lock - std::shared_timed_mutex::try_lock

Synopsis
   bool try_lock(); (since C++14)
   Tries to lock the mutex. Returns immediately. On successful lock acquisition returns
   true, otherwise returns false.
   This function is allowed to fail spuriously and return false even if the mutex is
   not currently locked by any other thread.
   If try_lock is called by a thread that already owns the mutex in any mode (shared or
   exclusive), the behavior is undefined.
   Prior unlock() operation on the same mutex synchronizes-with (as defined in
   std::memory_order) this operation if it returns true. Note that prior lock() does
   not synchronize with this operation if it returns false.

Parameters
   (none)

Return value
   true if the lock was acquired successfully, otherwise false.

Exceptions
   Throws nothing.

Example
    This section is incomplete
    Reason: no example

See also
   lock locks the mutex, blocks if the mutex is not available
                  (public member function)
                  tries to lock the mutex, returns if the mutex has been
   try_lock_for unavailable for the specified timeout duration
                  (public member function)
                  tries to lock the mutex, returns if the mutex has been
   try_lock_until unavailable until specified time point has been reached
                  (public member function)
   unlock unlocks the mutex
                  (public member function)